Skip to main content
GET
/
lending-stocks
/
api
/
positions
/
{marketId}
/
providers
curl "https://api.trusset.org/lending-stocks/api/positions/{marketId}/providers" \
  -H "X-API-Key: trusset_your_key_here"
{
  "success": true,
  "data": {
    "providers": [
      {
        "id": "lp_001",
        "provider": "0x123...456",
        "amountDeposited": "50000.00",
        "sharesOwned": "50000.00",
        "active": true,
        "depositedAt": "2025-06-01T09:00:00.000Z"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.trusset.org/llms.txt

Use this file to discover all available pages before exploring further.

Returns all LPs who currently have an active deposit in the specified market.

Path Parameters

marketId
string
required
Market ID.
curl "https://api.trusset.org/lending-stocks/api/positions/{marketId}/providers" \
  -H "X-API-Key: trusset_your_key_here"
{
  "success": true,
  "data": {
    "providers": [
      {
        "id": "lp_001",
        "provider": "0x123...456",
        "amountDeposited": "50000.00",
        "sharesOwned": "50000.00",
        "active": true,
        "depositedAt": "2025-06-01T09:00:00.000Z"
      }
    ]
  }
}